Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.util
Class ASTAppender

    java.lang.Object
      org.hibernate.hql.internal.ast.util.ASTAppender

    public class ASTAppender

extends Object

Appends child nodes to a parent efficiently.

Constructor Summary
`ASTAppender(antlr.collections.AST parent)`
`ASTAppender(antlr.ASTFactory factory, antlr.collections.AST parent)`

Method Summary
`antlr.collections.AST` | `append(antlr.collections.AST child)`
`antlr.collections.AST` | `append(int type, String text, boolean appendIfEmpty)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTAppender

    public ASTAppender(antlr.ASTFactory factory,
                       antlr.collections.AST parent)

### ASTAppender

    public ASTAppender(antlr.collections.AST parent)

Method Detail

### append

    public antlr.collections.AST append(int type,
                                        String text,
                                        boolean appendIfEmpty)

### append

    public antlr.collections.AST append(antlr.collections.AST child)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.